<h2>Liste des produits</h2>
<div style="display: flex; margin-bottom:10px;">
  <div class="col-2">
    <label >Filter by :</label>
  </div>
  <div class="col-10">
    <input type="text" class="form-control" placeholder="Search " [(ngModel)]="searchProduct " />
  </div>
</div>
<table class="table table-striped" *ngIf="tempProducts.length > 0">
  <thead>
    <tr>
      <th scope="col">
        <button class="btn btn-primary" (click)="showImage=!showImage"> {{ !showImage ? 'Show image' : 'Hide image' }}</button>
      </th>
      <th scope="col">Product</th>
      <th scope="col">Code</th>
      <th scope="col">Available</th>
      <th scope="col">Price</th>
      <th scope="col">Star Rating</th>
    </tr>
  </thead>
  <tbody>
    <tr *ngFor="let product of tempProducts">
      <th scope="row">
          <img *ngIf="showImage" [src]="product.imageUrl" height="100" width="100"/>
      </th>
      <td>
        <!--<a [queryParams]="{test:'Godwin', role:12}" [routerLink]="['/product', product.productId, product.productCode]">-->
        <a [routerLink]="['/product', product.productId]">
          {{product.productName}}
        </a>
      </td>
      <td>{{product.productCode}}</td>
      <td>{{product.releaseDate}}</td>
      <td>{{product.price}} €</td>
      <td>{{product.starRating}}</td>
    </tr>
  </tbody>
</table>
  